Application: MCF Client Help

Next page >

MCF Client Help

User guide
Next page >


Application: MCF Client Help

MCF Client Help

The MCF Parts Client allows a user to view parts and service-related information. This application allows users to search for parts, save parts to a pick list for ease of ordering, as well as view service manuals and bulletins.

The contents of MCF Client Help

Navigation & Truck Selection
Preferences
Support
Parts
Service
Publications
Search
Pick List
Content Updates


Topic: Navigation & Truck Selection

Navigation & Truck Selection

After the user logs in, the MCF Parts Client opens the Browse to Your Truck page.
The Browse to Your Truck page acts as the site's home page. It is divided into several sections.

Command Menu

The command menu is available on every page of the MCF Parts Client. The command menu provides Preferences and Support links.
Tabs
Tabs are available on every page in the MCF Parts Client. Some tabs are only available once a truck has been selected. Clicking on a tab will take a user to a new page on the MCF Parts Client. These pages include Select Truck , Parts , Service , Publications , Search , Pick List and Content Updates .
If you have selected a truck, it is displayed at the top of every page below the tabs.

Browse to Your Truck

To change the region and brand you are viewing:
If you have multiple region and brand datasets installed, you may change the region and brand you are viewing by selecting a new dataset in the Select Brand (Region) combo box.
Trucks can be selected by model number or by serial number.
To select a truck by model number:
If you know the model of the truck that you want to select, enter it in the Model Number field and click the Go button. If the model number entered matches a truck, the truck will be selected and the user will open the Parts page for the selected truck.
If you do not know the model number of the truck you wish to select, follow these steps:
  1. Use the Select Brand combo box to select the brand of truck.

  2. Use the Select Type combo box to select the type of truck.

  3. Select the model number of the truck from the Model Numbers box or type it into the Model Number field and press the Enter key.

    Note: You can filter the model numbers that appear in the Model Numbers box by entering part of the model number in the Model Number field.

    If the model number you selected appears in only one catalog, the application will open the Parts page for the selected model. If the model number appears in more than one catalog, you will have to further specify what you are looking for by selecting an available book and serial number.
To select a truck by serial number:
If you know the serial number of a truck that you want to select, enter it in the Serial Number field and click the Go button. If the serial number entered matches a truck type, that truck type will be selected and the user will open the Parts page for the selected truck.
If the serial number falls within a range assigned to multiple models, a list of applicable models will appear. Select the model you wish to view from this list and the system will open the Parts page for the selected truck.

Previously Viewed Trucks

The Previously Viewed Trucks section displays a list of up to ten recently selected trucks.
Clicking on one of the listed trucks in the Previously Viewed Trucks section selects the truck and opens the Parts page.

Terms of Service

Clicking on the Terms of Service link displays the application terms of use.


Topic: Preferences

Preferences

The Preferences page is accessed by clicking on the Preferences link in the upper right corner.
A sidebar menu on the Preferences page shows the preferences that are available to the user.
Change Parts View Defaults
The Change Parts View Defaults preference option allows a user to set how the navigation view and parts list location are displayed.
Click the Save button to save any changes that are made.
Change Personal Information
The Change Personal Information preference option allow users to change information about themselves such as their dealer name, address, currency, pick list expiration, and dealer logo.
In order to send e-mail from within the application, you need to establish Simple Mail Transfer Protocol (SMTP) settings. The SMTP Server and SMTP Port fields must be completed for e-mail to function properly. If you do not know your SMTP settings, please contact your network administrator or e-mail host.
Click the Save button to save any changes that are made.


Topic: Support

Support

The Support page is accessed by clicking on the Support link in the upper right corner.
The Support page provides users the ability to submit feedback , view system requirements, or to view this help.

The contents of Support

Feedback


Topic: Feedback

Feedback

The MCF Parts Client allows users with proper login credentials to submit feedback. If the feedback option is not available for you, contact the technical support team at the number listed on the Support page.
To submit feedback:
  1. Click on the Support link in the command menu located in the upper right corner of the MCF Parts Client.

  2. The Support page will open.

  3. Click on the Submit Feedback link.

    Note: This link will not be available if you do not have a live internet connection.

    The Feedback page will open.

  4. Select the type of issue that the feedback will address by selecting an issue type from the Issue Type combo box.

  5. Enter the feedback in the Description box.

  6. Click the Submit button.

    The feedback will be submitted via e-mail to the support center.


Topic: Parts

Parts

The MCF Parts Client's primary function is helping users find the parts they need.
After selecting a truck , users can access the Parts page by clicking on the Parts tab.
Once the Parts page is loaded, users can begin to use the Table of Contents .
The Table of Contents , Graphic Viewer , and Parts List work together to allow you to view product information. Using the Table of Contents and/or Graphic Viewer, you can drill into specific group details on the Parts List.

The contents of Parts

Table of Contents
2D Graphic Viewer
Parts List
Supersession
Printing


Topic: Table of Contents

Table of Contents

At the top of the Table of Contents region is the Available Books mouse-over. Moving the cursor over this text will open a list of the currently open books.
The Available Books list is determined when you select a truck on the Truck Selection page.
The Table of Contents functions like folders in Microsoft Windows. It displays the table of contents for the book you selected from the Available Books list.
Key features available with the Table of Contents include:
  • The bread crumb displayed above the Table of Contents identifies your current location within a parts book.

  • Click the Expand [image] icon next to a Table of Contents entry to display subtopics.
  • Click the Collapse [image] icon next to a Table of Contents entry to hide subtopics.

  • Click the Group description in the Table of Contents to display the associated illustration in the Graphic Viewer.

  • Click an assembly or part in the Graphic Viewer to change the focus in the Table of Contents to match your selection.

  • Click the New Information Available link to view publications uploaded within the past 30 days for your selected truck. The system will open the Publications page.

  • Click the Fast Moving Parts or Maintenance Parts links to view these types of parts.

  • Click the Samples link for information about the columns displayed within a Parts List.


Topic: 2D Graphic Viewer

2D Graphic Viewer

The Graphic Viewer allows you to view illustrations within the selected parts book. The Graphic Viewer works directly with the Table of Contents to display the illustration related to group selected in the Table of Contents. It also works with the Parts List to display parts related to groups.

Recent Views

Click the Recent Views link to see up to ten previously viewed parts lists. Select an item within the list to jump to a recently viewed parts list. Your selected truck will change to the model associated with the recently viewed parts list.

Navigation Buttons

  • View All Notes button [image] - This button allows you to view all of the notes available regardless of the parts book currently being viewed.
  • Previous Sheet/Next Sheet buttons [image] - These buttons allow you to move between multiple pages of illustrations when they are available.
  • Previous Figure/Next Parts List buttons [image] - These buttons allow you to move up and down through the Table of Contents to the previous or next parts list.
  • Parts List Orientation Button [image] - This button allows you to change the location of the Parts List to the left or bottom of the page. Note: Using this button will override user preferences for the current session.

Graphic Menu

  • Fit Best button [image] - Click this button to view the entire graphic within the illustration window.
  • Fit Width button [image] - Click this button to view the graphic zoomed to its width within the illustration window.
  • Fit Height button [image] - Click this button to view the graphic zoomed to its height within the illustration window.
  • Zoom In button [image] - Click this button to increase magnification from the center of the graphic displayed within the illustration window.
  • Zoom Out button [image] - Click this button to decrease magnification to the center of the graphic displayed within the illustration window.
  • Rubber Band button [image] Click this button to enable the feature. Click and hold the left mouse button to display a rubber band, then encircle the portion of the graphic you would like to magnify. Release the mouse button to zoom into the selected area. The system will determine the best fit for viewing based on your selection.
  • Magnifier button [image] Click this button to view a magnifying glass you can move over portions of the graphic. Click the button again to turn off the feature.
  • Previous/Next Instance buttons [image] - Click these buttons to move through the hotspots on the graphic. The selected hotspot is also highlighted within the Parts List.
  • Pan Mode button [image] - Click this button to enable the feature, then click and hold the left mouse button to move the graphic around within the illustration window. Release the mouse button when the desired position is achieved.
  • Print Graphic & Parts List button [image] - Click this button to bring up the Print Options dialog.
  • Full Screen button [image] - Click this button to view the graphic in full screen mode. All of the functions within the menu are available in full screen mode. Click Escape to return to the parts page


Topic: Parts List

Parts List

The Parts List appears when you click on a group in the Table of Contents . Each part associated with the selected group is displayed with a reference number (Ref. No.) that matches the part number hotspot identified in the Graphic Viewer .
Additional part information can be viewed by clicking the Where Used Search button.
  • Where Used Search button [image] - Click this button to view all of the models this part is used on. The system will open the Parts Search page and perform the search for the selected part number across all models within the brand you are viewing.
You may perform optional tasks with the parts list including providing feedback, adding or viewing a note and adding parts to the Pick List .
  • Supersession button [image] - The supersession button will appear in the Part Information column if a part number has been superseded. Clicking this button will open the Supersession History page where you can add replacement parts for the superseded part.
  • Feedback button [image] - Click this button to provide feedback for a part or parts list for an administrator to review.
    Note: This button will only be displayed when you have a live internet connection.
  • Notes button [image] - Click this button to add a note to a part or parts list. The Notes icon will fill in when notes already exist.
  • Pick List button [image] - Click this button to add a part to the pick list .
When multiple quantity or serial number breaks are present within a parts book, use the selection list to view all or a specific set of parts list rows as described in the example below. To view all quantities within a parts book, select Show All in the list.
To view a part for a specific model, select the desired model from the selection list.


Topic: Supersession

Supersession

A [image] will appear on the Parts List page in the Part Information column if a part number has been superseded. Clicking the [image] will open the Supersession History page.
You can add replacement parts for the superseded part by selecting Add to Cart and then clicking the Add Selected Parts to Pick List button. You can increase the quantities of the replacement parts that you order by changing the number in the Quantity to Add column.
Note: Use the Pick List to remove or reduce the amount of replacement parts that you are ordering.


Topic: Printing

Printing

The MCF Global Parts application allows you to print the graphic and parts list that you are viewing.
To print the parts graphic and parts list:
  1. Click the Print Graphic & Parts List button [image] to print the entire graphic and parts list.

    The Print Options dialog will open.

  2. Select the content that you want to be printed (entire graphic, graphic view, or parts list only).

  3. If you wish to include the parts list, select Include Parts List.

  4. Click the Print button.

    The Print dialog will open.

  5. Select a printer.

  6. Click the Print button.

    The graphic will be printed out.


Topic: Service

Service

This page is accessed by clicking on the Service tab.
The Service page lists service manuals for the currently selected truck.
Any service manual listed can be viewed by clicking on the title of the pdf.


Topic: Publications

Publications

The Publications page is accessed by clicking on the Publications tab.
The Publications page allows users to search the publication library.
To search the Publication Library:
The user does not need to fill in all of the publication search fields. Providing more search criteria will produce fewer, but more specific, search results.
  1. Limit the search by entering a full or partial title in the Title field.

  2. Limit the search by entering a full or partial media number in the Media Number field.

  3. Limit the search by entering a full or partial part number in the Part No. field.

  4. Search for a specific serial number by entering a full serial number in the Serial Number field.

  5. Select what model to include in the search by using the Model Number combo box. Select All to include all models in the search.

  6. Enter a part description to include in the search in the Part Description field.

  7. Limit the search to specific publication types by selecting an item in the Publication Type list.

  8. Click the Search button.

    The system returns a list of publications matching the search criteria you entered.

    Note: Clicking the Clear button will reset the search criteria.

  9. Any publication listed can be viewed by clicking on the name of the publication.


Topic: Search

Search

One of the primary functions of the MCF Parts Client is to help users find the parts they need. The application gives users the ability to search for standard parts .

The contents of Search

Parts Search Criteria


Topic: Parts Search Criteria

Parts Search Criteria

The Parts Search Criteria page allows users to search for parts for a specified truck.
To access the Parts Search Criteria page:
Click on the Search tab.
The Parts Search Criteria page will open.
To search for parts:
Note: Search parameters that are required are marked with a "*" are required. Providing optional parameters will help narrow the search results.
  1. Select the model from the Model Number list. If you know the model number you are searching for, you may type it directly into this field.

    Note: You may search across all models or within a single model only.

  2. Enter a full or partial part number in the Part No. field.

  3. Use the combo box next to the Part No. field to select a search parameter for the part number.

    The available search parameters are:

    • Starts With - The search will look for part numbers that start with the part number entered into the Part No. field.

    • Ends With - The search will look for part numbers that end with the entered part number entered into the Part No. field.

    • Contains - the search will look for any part number that includes the numbers entered into the Part No. field.

      • Exact Match - The search will only return results that have a part number that exactly matches the part number entered into the Part No. field.

  4. Enter a part description in the Part Description field.

  5. Use the combo box next to the Part Description field to select a search parameter for the part description.

  6. Enter a title in the Title field.

  7. Use the combo box next to the Title field to select a search parameter for the title.

  8. Enter a serial number in the Serial Number field.

  9. Click the Search button.

    The results of the search will appear on the bottom half of the Parts Search Criteria page.

    A list of models that the part was found on will appear to the left of the search results. Select a single model to view results from this list.

    Note: If your selected truck appears within the list, it will automatically be selected when the results are displayed for the first time.
Refer to the Parts List topic for a list and definition of all the icons that may appear in the search results.


Topic: Pick List

Pick List

The Pick List page is accessed by clicking on the Pick List tab.
The Pick List page allows users to view, e-mail, print and create an estimate for a pick list.

The contents of Pick List

Using the Pick List
Saving a Pick List
Retrieving a Pick List
Creating a Pick List Estimate
Print Pick List
Export Pick List


Topic: Using the Pick List

Using the Pick List

A pick list is created by clicking the Pick List button [image] that is located near any displayed part.
If parts have been added to the pick list, they will appear when the Pick List page is accessed. Columns identifying the part number, its description, and quantity are displayed.
Click the Where Used Search button [image] to view all of the models that this part is used on. The system will open the Parts Search page and perform a search for the selected part number across all models within the brand that you are viewing.
Click the Supersession button [image] to view the Supersession History page where you can add replacement parts for a superseded part.
You may adjust the quantity or delete parts within the pick list.
  • To change the quantity of a part, update the number in the Qty column, then click the Save button.

  • To delete a part from the pick list, click the Delete button for the part.


Topic: Saving a Pick List

Saving a Pick List

Users can save a pick list for later retrieval.
To save a pick list:
  1. Click the Save button located at the bottom left corner of the Pick List page.

    Note: The Save button will only appear if a pick list to save is present.

    The system opens the Save Pick List page.

  2. Enter a unique name for the pick list in the Pick List Name field.

  3. Choose an expiration date for the pick list by clicking the Calendar button ( [image]) next to the Pick List Expires field.
    Pick lists may be kept up to 365 days.

    Note: Click the Delete button ( [image] ) next to the Pick List Expires field to clear the date.

  4. Enter a description for the pick list in the Description field box. This description can be searched for when retrieving a pick list.

  5. Click the Save button to save the pick list.


Topic: Retrieving a Pick List

Retrieving a Pick List

Users who have saved a pick list can retrieve it using the Pick List page.
To Retrieve a Pick List
  1. On the Pick List page, click the Retrieve button.

    The Retrieve Pick List window will open.

  2. The following steps detail how to search for a pick list. The user does not need to fill in all of the search fields. Providing more search criteria will produce fewer, but more specific, search results.

    Limit the search by entering a full or partial name in the Pick List Name field.

  3. In the Description field, enter a word or partial phrase that might appear in the description of the pick list that you are looking for.

  4. Limit the search by selecting a start and end date range for the Date Created. Click the Calendar button ( [image]) next to the Start and End fields to choose a date.

  5. Limit the search by selecting a start and end date range for the Date Expires. Click the Calendar button ( [image]) next to the Start and End fields to choose a date.

  6. Click the Search button. The system displays pick lists meeting the search criteria at the bottom of the page.

  7. Click the Retrieve button ( [image]) of the pick list that you wish to retrieve.

    The pick list will open.
Note: Additional buttons in the search results provide additional functionality.
  • Delete button ( [image]) - Click this button to delete the pick list.
  • Print button ( [image]) - Click this button to print the pick list on your selected system printer.
  • E-mail button ( [image]) - Click this button to e-mail the pick list. Note: This icon is displayed only when a live internet connection is detected.
  • Estimate button ( [image]) - Click this button to create a pick list estimate .
  • Export button ( [image]) - Click this button to export the pick list to an XML file.


Topic: Creating a Pick List Estimate

Creating a Pick List Estimate

A pick list estimate is created by clicking the Estimate button located on the Pick List page or the Estimate icon ( [image]) on the Retrieve Pick List page.
The Dealer section of the estimate is pre-populated with your preferences. You may override all of this information.
To complete the estimate:
  1. Enter optional information in the Create Estimate section including a PO, reference Account number and Remarks.

  2. If you want to include a dealer logo on the estimate, select the Include logo on printed estimate check box.

  3. Enter optional information in the Customer Information section including the customer name, address and other contact information.

  4. Enter optional information in the Dealer Information section including the dealer name, address and other contact information.

    Enter Estimate Line Items as follows:

    • To add line items manually, enter the Part No., Part Description, Qty, and Price directly into the fields.

    • To import line items from the pick list, click the Import From Pick List button. Then, choose whether to add all parts from the pick list to the estimate, add only new parts from the pick list to the estimate or to replace all of the estimate line items with all parts from the pick list.

    • To add additional Estimate Line Items, click the Add [image] button.

    • To delete an Estimate Line Item, click the Delete [image] button.

  5. Enter optional information in the Estimate Summary section including the currency type, a shipment method, a shipping/handling charge, the labor rate and hours.
  6. Click the Calculate [image] button to recalculate the Total.


Topic: Print Pick List

Print Pick List

Users can print a pick list by clicking on the Print button at the bottom of the Pick List page.


Topic: Export Pick List

Export Pick List

Users can export a saved pick list to an XML file.
To export a pick list from the Pick List page:
  1. On the Pick List page with an active pick list, click the Export button at the bottom of the page.

    A Save As dialog will open.

    Note: A pick list must be saved within the application before it can be exported.

  2. Use the navigation tree of the Save As dialog box to navigate to the directory where you want to save the exported pick list.

  3. Enter a name for the exported file in the File Name field.

  4. Click the Save button.


Topic: Content Updates

< Previous page

Content Updates

The Content Updates page is accessed by clicking on the Content Updates tab.
The Content Updates page allows users to view application information, install regional dataset packs, and enable incremental content access.

Dataset Installation

The system will automatically check to see if new versions of the application or regional datasets are available when it detects a live internet connection.
Note: Regional datasets will be deleted when they expire and you must install a new regional dataset version in order to view data.
To install a new regional dataset:
  1. Download a dataset update pack (file extension is .mcfp) to your computer through the MCF Global Parts Web site or from an MCF Parts Client installation DVD.

  2. Click the Dataset Installation button or the Browse button at the end of the Source field.

    A file browser window will open.

  3. Use the file browser window to locate the dataset update pack (.mcfp) on your computer.

  4. Click the Open button.

  5. Click the Browse button located after the Destination field.

    A file browser window will open.

    Use the browser window to locate a folder on a local drive on your computer to unpack the regional dataset.

    Note: You may place the regional dataset on a portable drive, but you will not be able to access it unless the portable drive is connected to your computer when the MCF Parts Client is launched.

  6. Click the OK button on the browser window.

  7. Click the Install button to unpack the regional dataset files onto your computer.

To uninstall a regional dataset, click the Delete [image] button in the Uninstall Dataset column.

Incremental Content Access

Incremental content access offers users with an internet connection a convenient way to acquire content updates. Once enabled, incremental content access will automatically look for and download content updates whenever an internet connection is detected. Users can then install the content at their convenience.
A Product Key is required to enable incremental content access. This key is obtained from the MCF Electronic Parts Catalog (Lift Manuals) Web site.
To enable incremental content access:
  1. Obtain a Product Key from the MCF Electronic Parts Catalog (Lift Manuals) Web site.

  2. Click the Incremental Content Access button on the Content Updates page.

    The Incremental Content window will open.

  3. Enter the Product Key in the blank field and click the Enable Updates button.

    Note: If you copied the Product Key, click the paste icon to paste the Product Code into the field.

    A pop-up box will appear confirming that incremental updates are enabled.

  4. Click the OK button.

Installing Incremental Updates

The application will alert you when incremental updates are ready to be installed by opening the Incremental Content window with the Status tab selected.
If you want to install the updates right away, click the Install Updates button. If you want to install the updates later, click the Remind Me Later button.
This will cause the system to remind you about the update installation the next time that the client is opened.
< Previous page